Bug 234803

Summary: multimedia/openshot: Update to 2.4.4
Product: Ports & Packages Reporter: kunda <chitty_cloud>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Only Me CC: fixer, tatsuki_makino, tcberner, vvd
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/OpenShot/openshot-qt/releases/tag/v2.4.4
Bug Depends on: 237575, 241911, 241912    
Bug Blocks:    
Attachments:
Description Flags
shar for openshot-qt
none
poudriere log
none
shar for openshot-qt
none
patch for multimedia/openshot
koobs: maintainer-approval+
poudriere log
none
patch for multimedia/openshot
tatsuki_makino: maintainer-approval?
poudriere log none

Comment 1 kunda 2019-01-09 20:22:02 UTC
Forgot to mention to check if these bugs are still valid:
#223617
#231124
Comment 3 Tatsuki Makino 2019-04-26 07:47:39 UTC
Created attachment 204030 [details]
shar for openshot-qt

I'll take maintainer-ship.
Whether to make a new multimedia/openshot-qt or a successor to multimedia/openshot is left to commiter :)
Comment 4 Tatsuki Makino 2019-04-26 07:50:32 UTC
Created attachment 204033 [details]
poudriere log
Comment 5 Tatsuki Makino 2019-04-26 10:21:33 UTC
Created attachment 204038 [details]
shar for openshot-qt

libopenshot (237574) has set noflavors.
It probably needs to be propagated to this.
poudriere using this was finished successfully.
Comment 6 Dmitry Marakasov freebsd_committer 2019-05-08 13:48:33 UTC
Please send update as a patch.
Comment 7 Tatsuki Makino 2019-05-11 07:08:52 UTC
Created attachment 204317 [details]
patch for multimedia/openshot

(In reply to Dmitry Marakasov from comment #6)

This is a patch to continue using multimedia/openshot.
Is there a problem with changing its PORTNAME?
Comment 8 Tatsuki Makino 2019-05-11 07:10:18 UTC
Created attachment 204318 [details]
poudriere log
Comment 9 kunda 2019-07-22 01:20:00 UTC
bump
Comment 10 kunda 2019-08-02 19:56:40 UTC
any progress ?
Comment 11 kunda 2019-08-23 00:26:43 UTC
(In reply to Tatsuki Makino from comment #3)
any progress so far ?
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 01:56:40 UTC
(In reply to kunda from comment #9)

Please don't just 'bump' issues

In order to progress an issue, either:

- Update metadata fields (that you can) to clarify/update issue state, OR
- Include a comment on what needs to be done to progress the issue (if that is clear)

In this case, a QA'd patch has been provided, but maintainer-approval has been set to ?, which isn't required as the port has no maintainer

A link in the URL field to the software's changelog for the 2.4.4 version would be nice too
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 01:57:26 UTC
Comment on attachment 204318 [details]
poudriere log

Logs are for reference (if requested), and don't need approval
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 01:57:57 UTC
Comment on attachment 204317 [details]
patch for multimedia/openshot

Approved by: portmgr (blanket: unmaintained port)

Pending QA confirmation
Comment 15 Tobias C. Berner freebsd_committer 2019-11-09 18:20:34 UTC
Moin moin

Could you regenerate the patch against the current tree.

mfg Tobias
Comment 16 Tatsuki Makino 2019-11-12 11:02:49 UTC
Created attachment 209096 [details]
patch for multimedia/openshot

(In reply to Tobias C. Berner from comment #15)

I regenerated along with some other updates.
Comment 17 Tatsuki Makino 2019-11-12 11:04:33 UTC
Created attachment 209097 [details]
poudriere log
Comment 18 Tobias C. Berner freebsd_committer 2019-12-08 11:33:42 UTC
Committed. Thanks.
Comment 19 commit-hook freebsd_committer 2019-12-08 11:34:28 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec  8 11:33:31 UTC 2019
New revision: 519293
URL: https://svnweb.freebsd.org/changeset/ports/519293

Log:
  multimedia/openshot: Update to 2.4.4

  - give maintainership to tatsuki_makino@hotmail.com

  PR:		234803
  Submitted by:	Tatsuki Makino  <tatsuki_makino@hotmail.com>,
  Reported by:	kunda <chitty_cloud@me.com>

Changes:
  head/multimedia/openshot/Makefile
  head/multimedia/openshot/distinfo
  head/multimedia/openshot/files/patch-openshot__language__Language_Init.py
  head/multimedia/openshot/files/patch-setup.py
  head/multimedia/openshot/files/patch-src_classes_info.py
  head/multimedia/openshot/files/patch-src_classes_metrics.py
  head/multimedia/openshot/files/patch-src_windows_main__window.py
  head/multimedia/openshot/files/patch-src_windows_preferences.py
  head/multimedia/openshot/pkg-descr
  head/multimedia/openshot/pkg-plist
Comment 20 VVD 2019-12-11 17:58:17 UTC
Update, plz, https://wiki.freebsd.org/WantedPorts
Remove libopenshot and libopenshot-audio.
Details are here: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216725